<template>
    <div class="device-info-container">
        <div class="status-row">
            <span>
                设备状态:
                <span class="success">在线</span>
            </span>
            <span>
                运行状态:
                <span class="normal">正常</span>
            </span>
        </div>
        <div class="content-container">
            <img :src="getImage('/device-overview/jmkt.png')" alt="" />
            <div class="device-info">
                <h2>设备名称</h2>
                <div class="tag-box">
                    <span>标签一</span>
                    <span>标签一</span>
                </div>
                <div class="info-row">
                    <span>设备编号：</span>
                    <span>1235263211</span>
                </div>
                <div class="info-row">
                    <span>设备型号：</span>
                    <span>设备编号</span>
                </div>
                <div class="info-row">
                    <span>设备类型：</span>
                    <span>库房设备</span>
                </div>
                <div class="info-row">
                    <span>设备位置：</span>
                    <span>四川省成都市xxxxx</span>
                </div>
            </div>
        </div>
    </div>
</template>
<script lang="ts" name="DeviceInfo" setup>
import { getImage } from '@/utils/comm';

onMounted(() => {});
</script>
<style scoped lang="less">
.device-info-container {
    flex: 1;
    padding: 16px;
    height: 100%;
    background: white;
    .status-row {
        border-bottom: 1px dotted #e6e6e6;
        display: flex;
        align-items: center;
        // justify-content: center;
        padding-bottom: 16px;
        padding-left: 16px;
        > span {
            // flex: 1;
            display: inline-block;
            width: 180px;
            .normal {
                font-size: 16px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #4277ff;
                line-height: 22px;
            }
            .success {
                font-size: 16px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #15c646;
                line-height: 22px;
            }
        }
    }
    .content-container {
        padding: 10px 0;
        display: flex;
        align-items: flex-start;
        justify-content: space-around;
        > img {
            width: 157px;
            height: 204px;
            margin-right: 16px;
        }
        .device-info {
            // flex: 1;
            .tag-box {
                display: flex;
                align-items: center;
                margin-bottom: 16px;
                > span {
                    display: inline-block;
                    width: 53px;
                    height: 23px;
                    margin-right: 8px;
                    font-size: 14px;
                    font-family: PingFang SC-Regular, PingFang SC;
                    font-weight: 400;
                    color: #4277ff;
                    text-align: center;
                    line-height: 23px;
                    background: rgba(41, 136, 254, 0.12);
                    border-radius: 16px 16px 16px 16px;
                }
            }
            .info-row {
                > span:nth-child(1) {
                    font-size: 14px;
                    font-family: PingFang SC-Regular, PingFang SC;
                    font-weight: 400;
                    color: #828282;
                    line-height: 26px;
                }
                > span:nth-child(2) {
                    font-size: 14px;
                    font-family: PingFang SC-Regular, PingFang SC;
                    font-weight: 400;
                    color: #4f4f4f;
                    line-height: 26px;
                }
            }
        }
    }
}
</style>
